Subject: Translating a CE containing inline elements doesn't apply language to inline elements
Description

Well this could be an OSI8 (user mistakes) but I've tried every possible combination of the flexform behavior configuration.
When I have a Content Element with a custom inline element configured by flexform and create some inline elements everything is
fine. But when i choose to translate all contents to another language (localization) the inline elements are always active in the default
language and every change will also be applied on default language elements.

Maybe the options localizationMode or localizeChildrenAtParentLocalization doesn't work?

Heres an example flexform field configuration which won't work fine with localization:

<config>
    <type>inline</type>
    <foreign_table>tx_tgmirrelinks_domain_model_link</foreign_table>
    <minitems>0</minitems>
    <maxitems>99</maxitems>
    <foreign_sortby>sorting</foreign_sortby>
    <foreign_match_fields>
        <fieldname>themenLinks</fieldname>
    </foreign_match_fields>

    <appearance>
        <useSortable>1</useSortable>

        <showPossibleLocalizationRecords>1</showPossibleLocalizationRecords>
        <showRemovedLocalizationRecords>1</showRemovedLocalizationRecords>
        <showSynchronizationLink>1</showSynchronizationLink>

        <createNewRelationLinkTitle>LLL:EXT:cms/locallang_ttc.xlf:images.addFileReference</createNewRelationLinkTitle>
    </appearance>

    <behaviour>
        <localizationMode>select</localizationMode>
        <localizeChildrenAtParentLocalization>0</localizeChildrenAtParentLocalization>
    </behaviour>
</config>

Step by Step:
    -  Create a flexform with an inline element
    -  Create some inline elements and save the CE in the default language
    -  Go to the localization view of the "Page" view and choose "Copy default content elements / Standardinhalte kopieren" 
    -  Open the translated CE and watch the inline records of the default language are activated

Related issues:
related to Core - Bug # 56882: Can not translate IRRE elements Resolved 2014-03-13
related to Core - Bug # 63092: Inline/IRRE records: language field of child r... New 2014-11-20

History
#1 - 2014-06-20 20:09 - Tymoteusz Motylewski

isn't it a duplicate of #56882 ?

#2 - 2015-01-26 23:20 - Mathias Schreiber
- Status changed from New to Needs Feedback
- Assigned To set to Mathias Schreiber

Hey guys,

can you check if this is still the case?

#3 - 2015-05-21 08:30 - Fabian Schöner

Hey Mathias,

i just hit the exact same issue as described here.

TYPO3 6.2.12.
Once you translate a CE with Flexform Inline Relations the records are "copied" in DB, but neither sys_language_uid nor l18n_parent are properly set.
It would work if those fields would be properly set (done that manually in database to test it).
